program test
   implicit none
   integer::i,N
   double precision,dimension(:),allocatable::x
   double precision::ep
   N=20000000
   allocate(x(1:N))
   ep=14942161
   do i=1,N; x(i)=real(i); enddo
   x=x/sqrt(ep)
   print*, (x(i),i=1,10)

end program
